WESNOTH(6)

NOME
wesnoth - Battle for Wesnoth, un gioco strategico a turni con ambientazione fantasy

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIZIONE
Battle for Wesnoth è un gioco strategico a turni con ambientazione fantasy. Sconfiggi tutti i condottieri nemici usando un'oculata scelta di unità di combattimento, avendo cura di gestire le tue risorse di oro e villaggi. Ogni unità ha punti di forza e debolezze: per vincere, schiera le tue forze nel modo più vantaggioso impedendo al nemico di fare altrettanto. Le unità, con l'esperienza, acquistano nuove abilità e diventano più potenti. Gioca nella tua lingua e metti alla prova le tue capacità contro un abile nemico controllato dal computer, o unisciti alla numerosa comunità di giocatori on-line. Crea le tue unità personalizzate, scenari o campagne, e condividile con gli altri.

OPZIONI

--bpp numero
    imposta il numero di bit per pixel. Esempio: --bpp 32

--compress infile outfile
    comprime un file di salvataggio (infile) in formato WML testuale in formato WML binario (outfile).

-d, --debug
    mostra le informazioni aggiuntive per il debug ed abilita le opzioni aggiuntive di controllo all'interno del gioco (vedi il sito presso http://www.wesnoth.org/wiki/CommandMode per maggiori informazioni sulla shell di comando).

--decompress <infile> <outfile>
    decomprime un file di salvataggio (infile) in formato WML binario in formato WML testuale (outfile).

-f, --fullscreen
    esegue il gioco a tutto schermo.

--fps
    mostra, in un angolo dello schermo, il numero di quadri per secondo che il gioco sta generando attualmente.

--gunzip infile.gz
    decomprime un file che dev'essere in formato gzip e lo memorizza senza suffisso .gz. Il file infile.gz sarà rimosso.

--gzip infile
    comprime un file in formato gzip, lo memorizza come infile.gz e rimuove infile.

-h, --help
    mostra un riepilogo delle opzioni tramite riga di comando verso un output standard ed esce.

--load partitasalvata
    carica il file partitasalvata dalla cartella standard di salvataggio.

--log-livello=dominio1,dominio2,...
    imposta il livello di severità dei domini di debug. Puoi usare all per selezionare tutti i domini di debug. Livelli disponibili: error,warning, info, debug. Normalmente è usato il livello error.

--logdomains
    Stampa l'elenco di tutti i domini di log ed esce.

--max-fps
    il numero di quadri al secondo che il gioco può mostrare, il valore dovrebbe essere compreso tra 1 e 1000; il valore predefinito è 50.

--multiplayer
    esegue una partita multigiocatore. Ci sono opzioni aggiuntive che possono essere usate con --multiplayer, come spiegato di seguito.

--nocache
    disabilita la cache dei dati di gioco.

--nosound
    esegue il gioco senza suono e musica.

--path
    stampa il nome della cartella contenente i dati del gioco ed esce.

-r XxY, --resolution XxY
    imposta la risoluzione dello schermo. Esempio: -r 800x600

-t, --test
    esegue il gioco con un piccolo scenario di test.

-v, --version
    mostra il numero di versione ed esce.

-w, --windowed
    esegue il gioco in una finestra.

--no-delay
    esegue il gioco senza ritardi per stabilire le prestazioni del sistema. Questa opzione è abilitata automaticamente da --nogui.

--nogui
    esegue il gioco senza GUI. Deve apparire prima di --multiplayer per avere l'effetto desiderato.

--exit-at-end
    esce quando lo scenario è finito, senza mostrare la finestra delle vittorie/sconfitte, che richiede che l'utente prema il pulsante OK. Anche questa opzione è usata per eseguire dei benchmark con script.

opzioni per --multiplayer
Le opzioni multigiocatore specifiche delle fazioni sono indicate da numero. numero deve essere sostituito dal numero della fazione. Normalmente è 1 o 2 ma dipende dal numero di giocatori possibili nello scenario scelto.

--algorithmnumero=valore
    seleziona un algoritmo non standard per il controllo dell'IA di questa fazione. Valori disponibili: idle_ai e sample_ai.

--controllernumero=valore
    seleziona il tipo di controllo per questa fazione. Valori disponibili: human e ai.

--era=valore
    usa questa opzione per giocare nell'era selezionata invece che in quella Default. L'era è scelta per ID. Le ere sono descritte nel file data/multiplayer.cfg.

--parmnumero=nome:valore
    imposta parametri aggiuntivi per questa fazione. Questo parametro dipende dalle opzioni usate con --controller e --algorithm. Dovrebbe essere utile solo per chi sta programmando la propria IA. (non ancora documentata completamente)

--scenario=valore
    seleziona uno scenario multigiocatore. Lo scenario predefinito è multiplayer_The_Freelands.

--sidenumero=valore
    seleziona una fazione dell'era attuale per questa squadra. La fazione è scelta per ID. Le fazioni sono descritte nel file data/multiplayer.cfg.

--turns=valore
    imposta il numero di turni per lo scenario scelto. L'impostazione standard è 50.

Esempio per il test della tua IA contro l'IA predefinita senza avviare la GUI:
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTORE
Scritto da David White <davidnwhite@verizon.net>.
Edito da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com>.
Questa pagina di manuale è stata scritta in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth_editor(6), wesnothd(6)